Package ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet

# Enum Class PaynetErrorCode

java.lang.Object
java.lang.Enum<PaynetErrorCode>
ru.bitel.bgbilling.modules.mps.server.bean.ws.paynet.PaynetErrorCode

All Implemented Interfaces:
  `Serializable`, `Comparable<PaynetErrorCode>`, `Constable`

public enum PaynetErrorCode extends Enum<PaynetErrorCode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCESS_DENIED`
  `CARD_ALREADY_REGISTERED`
  `CLIENT_IS_NOT_FOUND`
  `CLIENT_OUT_OF_SERVICE`
  `DENIED_FOR_JURIDICAL`
  `INVALID_COMMAND_CODE`
  `INVALID_DATE_FORMAT`
  `INVALID_LOGIN`
  `INVALID_SUM`
  `NOT_SUPPORTED`
  `NUMBER_IS_NOT_EXIST`
  `ORDER_IS_NOT_EXIST`
  `PRODUCT_IS_NOT_FOUND`
  `REACHED_QUOTA`
  `REQUIRED_PARAMETER_NOT_SPECIFIED`
  `SERVICE_IS_NOT_FOUND`
  `SUCCESS`
  `SYSTEM_ERROR`
  `TIME_SINCHRONIZATION_ERROR`
  `TRANSACTION_ALREADY_CANCELLED`
  `TRANSACTION_ALREADY_EXIST`
  `UNKNOWN_ERROR`
  `VALIDATION_ERROR_1`
  `VALIDATION_ERROR_10`
  `VALIDATION_ERROR_2`
  `VALIDATION_ERROR_3`
  `VALIDATION_ERROR_4`
  `VALIDATION_ERROR_5`
  `VALIDATION_ERROR_6`
  `VALIDATION_ERROR_7`
  `VALIDATION_ERROR_8`
  `VALIDATION_ERROR_9`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getErrorCode()`
  Получение кода ошибки/статуса
  `String`
  `getErrorMsg()`
  Получение строкового описания данного кода/статуса.
  `String`
  `toString()`
  `static PaynetErrorCode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PaynetErrorCode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUCCESS

    public static final PaynetErrorCode SUCCESS

  - ### NOT_SUPPORTED

    public static final PaynetErrorCode NOT_SUPPORTED

  - ### REACHED_QUOTA

    public static final PaynetErrorCode REACHED_QUOTA

  - ### SYSTEM_ERROR

    public static final PaynetErrorCode SYSTEM_ERROR

  - ### UNKNOWN_ERROR

    public static final PaynetErrorCode UNKNOWN_ERROR

  - ### TRANSACTION_ALREADY_EXIST

    public static final PaynetErrorCode TRANSACTION_ALREADY_EXIST

  - ### TRANSACTION_ALREADY_CANCELLED

    public static final PaynetErrorCode TRANSACTION_ALREADY_CANCELLED

  - ### CARD_ALREADY_REGISTERED

    public static final PaynetErrorCode CARD_ALREADY_REGISTERED

  - ### NUMBER_IS_NOT_EXIST

    public static final PaynetErrorCode NUMBER_IS_NOT_EXIST

  - ### CLIENT_IS_NOT_FOUND

    public static final PaynetErrorCode CLIENT_IS_NOT_FOUND

  - ### ORDER_IS_NOT_EXIST

    public static final PaynetErrorCode ORDER_IS_NOT_EXIST

  - ### PRODUCT_IS_NOT_FOUND

    public static final PaynetErrorCode PRODUCT_IS_NOT_FOUND

  - ### SERVICE_IS_NOT_FOUND

    public static final PaynetErrorCode SERVICE_IS_NOT_FOUND

  - ### VALIDATION_ERROR_1

    public static final PaynetErrorCode VALIDATION_ERROR_1

  - ### VALIDATION_ERROR_2

    public static final PaynetErrorCode VALIDATION_ERROR_2

  - ### VALIDATION_ERROR_3

    public static final PaynetErrorCode VALIDATION_ERROR_3

  - ### VALIDATION_ERROR_4

    public static final PaynetErrorCode VALIDATION_ERROR_4

  - ### VALIDATION_ERROR_5

    public static final PaynetErrorCode VALIDATION_ERROR_5

  - ### VALIDATION_ERROR_6

    public static final PaynetErrorCode VALIDATION_ERROR_6

  - ### VALIDATION_ERROR_7

    public static final PaynetErrorCode VALIDATION_ERROR_7

  - ### VALIDATION_ERROR_8

    public static final PaynetErrorCode VALIDATION_ERROR_8

  - ### VALIDATION_ERROR_9

    public static final PaynetErrorCode VALIDATION_ERROR_9

  - ### VALIDATION_ERROR_10

    public static final PaynetErrorCode VALIDATION_ERROR_10

  - ### REQUIRED_PARAMETER_NOT_SPECIFIED

    public static final PaynetErrorCode REQUIRED_PARAMETER_NOT_SPECIFIED

  - ### INVALID_LOGIN

    public static final PaynetErrorCode INVALID_LOGIN

  - ### INVALID_SUM

    public static final PaynetErrorCode INVALID_SUM

  - ### INVALID_DATE_FORMAT

    public static final PaynetErrorCode INVALID_DATE_FORMAT

  - ### DENIED_FOR_JURIDICAL

    public static final PaynetErrorCode DENIED_FOR_JURIDICAL

  - ### CLIENT_OUT_OF_SERVICE

    public static final PaynetErrorCode CLIENT_OUT_OF_SERVICE

  - ### ACCESS_DENIED

    public static final PaynetErrorCode ACCESS_DENIED

  - ### TIME_SINCHRONIZATION_ERROR

    public static final PaynetErrorCode TIME_SINCHRONIZATION_ERROR

  - ### INVALID_COMMAND_CODE

    public static final PaynetErrorCode INVALID_COMMAND_CODE

- ## Method Details

  - ### values

    public static PaynetErrorCode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PaynetErrorCode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getErrorMsg

    public String getErrorMsg()
    Получение строкового описания данного кода/статуса.
    Returns:
      сроковое описание кода

  - ### getErrorCode

    public int getErrorCode()
    Получение кода ошибки/статуса
    Returns:
      the errorCode

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<PaynetErrorCode>`